# Class BasicTapRunner

java.lang.Object
uk.ac.starlink.ttools.taplint.TapRunner
uk.ac.starlink.ttools.taplint.BasicTapRunner

public class BasicTapRunner extends TapRunner
Minimal synchronous implementation of TapRunner.

Since:
  10 Jun 2011
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`BasicTapRunner()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected uk.ac.starlink.table.StarTable`
`executeQuery(Reporter reporter, uk.ac.starlink.vo.TapQuery tq)`
Executes a TAP query, performing reporting as appropriate.

### Methods inherited from class TapRunner

`attemptGetResultTable, getDescription, getResultTable, reportSummary`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicTapRunner

public BasicTapRunner()
Constructor.

## Method Details

### executeQuery

protected uk.ac.starlink.table.StarTable executeQuery(Reporter reporter, uk.ac.starlink.vo.TapQuery tq) throws IOException
Description copied from class: `TapRunner`
Executes a TAP query, performing reporting as appropriate. The result may be null, but will normally be either a table or an IOException will result.

Specified by:
  `executeQuery` in class `TapRunner`
Parameters:
  `reporter` - validation message destination
  `tq` - query to execute
Returns:
  result table
Throws:
  `IOException`